Introduction

The following changes have been made to FastCAM / FastNEST / FastPLOT since the last printing of the manual:

  • FastCAM

    • DWG import function
    • Slot function
    • Round Corners

  • FastNEST

    • DWG import function
    • Common Cutting
    • Oops

  • FastPLOT

    • No New Functions Added

  • FastPATH

    • Apply Processes
    • Cut Short Rapids
    • Stitch Cut Extended
    • Break-Out Tabs

Theses changes have been outlined in this addedndum and will be added to the FastCAM Manual in the next printing.

Revised 15th January 2004.


DWG Import

FastCAM now supports AutoCAD(TM) DWG files, upto and including version 2002 (versions till 1/10/2004) and 2005 for versions released after this date.. Spline support is also included but varies with the version of the drawing.

To load a DWG, from the files menu, select the "DWG Restore" menu. A dialog, identical to the DXF restore dialog will be displayed. This dialog allows specific settings pertaining to the DWG to be set.

The options are:

  • File Selection

    • Single File - Imports a single DWG file.

    • Select Multiple Files - Converts several DWG files from the same directory to CAM. files.

  • DXF File Units

    • Inch - Loads a DWG file into FastCAM that was drawn using inch units of measure.

    • Metric - Loads a DWG file into FastCAM that was drawn using metric units of measure.

    • User Defined - Loads a DWG file into FastCAM that was drawn at a specified scale.

  • CAD Clean

    • Activates the CAD Clean function , to automatically strip needless entities from the loaded DWG file.

  • Apply Z Axis Extrusion

    • Ensures 3D files that have been unfolded in an external CAD package are correctly loaded into FastCAM. This function also enables the spline import routine to allow the importation of DWG files containing certain types of splines.

  • Check for Orphans

    • Enables FastCAM's orphan checking routine. This routine flags needless unattached entities as entities to be deleted.

Basic recommended settings are displayed in the above dialog. Press "ENTER" on the form and the typical file load dialog will be displayed.

Select the required file or files and press "Select"

The DWG file will then be loaded into FastCAM.


Round Corners

The round corners function has been expanded to include extra logic, allowing the function to be refined.

Selecting this function from the Program Path menu, will display the corner radius dialog box. This is the required corner radius for the part. Once the radius value has been entered a prompt will be displayed.

Referring to Diagram 1 inside corners are defined as "2". These are generally the lower parts of a slot. If YES is selected all corners on the part will be rounded. If NO is selected only obtuse angles (that normally occur as inside corners) will be filleted.

Diagram 1

If the part to have its corners rounded has a penetration, that is it is not a simple profile but is a part that may have slots or holes inside it a further menu will appear. This allows the user to select either the inside profiles, outside profiles or both inside and outside. Clicking off this menu cancels the function. If a menu item is selected, the specified option will be performed.


Slot Function

The slot function can be found on the Constructs menu. This function enables the user to quickly draw a slot with straight or rounded corners.

To use the slot function, select it from the constructs menu. The slot width and height should then be entered into the dialog box displayed.

A corner radius is the requested. If this value is set to zero (0) than a rectangular slot will be developed. If the radius is half the slot's height, a frog mouthed slot will be developed. Any radius value between zero and half the slot's height is valid.

A crosshair will then be displayed. The user can now indicate the centre of the slot. This center can be set by using any of the point menu' s selection functions.

An angle is now required to be entered. This angle uses normal convention where zero degrees runs along the horizontal and to the right and all positive angles are measured in an anti- clockwise direction.

Once the angle is set, the slot will be drawn.


Smooth

The smooth function is found in the Utility menu. This function has been available in previous versions of FastCAM but is not used by the general plate steel industry. The function is used to modify many blended lines into a very approximate curve. It can be thought of as a rasp for a rough wood model. Once the rasp is used on a jagged surface the surface is more blended, forming a nice continuous line but the surface is still not completely smooth. The first image below shows an example outline of an item to be smoothed. The second image is the result of the file after the smooth function has been applied. As can be seen the second image's outline has a smoother contour. This function is not suitable for engineered parts because the change in contour cannot be limited and the overall change in size of a part can vary widely. The more entities a part has the better the result of the smooth function. This function can be successfully applied to artistic parts where a change in aspect ratio will not affect the aesthetics of the cut part.

Figure 1 - Original Drawing | Figure 2 - Smoothed Drawing


Contour to Slot

This function found in the utilities menu transforms a single contour 'line' into one with a width. Some laser customers use this function to create slots in plywood for the insertion of knife blades. The figures below show the original file and the result after the use of this function.

A short lead-in can be automatically applied to the slot, as well as the ability to cut the entire length of the slot. The slot with can be mapped to the layer or the width can be fixed for the entire part. Individual contours can be converted to a slot or the entire drawing can be converted if required. As this is a specialised application of the FastCAM drawing system, please contact FastCAM for more information on this function.

Figure 1 - Original Contour | Figure 2 - After application of Contour to Slot


Service Email

A service email function has been added to FastCAM and FastNEST. This button allows for all files required for a service call to be sent through to your local FastCAM Service representative. If you require any support with a product, completing the support request through this interface will speed up the service process. An email account is not required but an internet connection that is not overly restrictive is required.

The Email Support form is completed so general information about the problem is presented to the FastCAM service department. The User Information is usually completed automatically. The Details of Problem section must be completed. Entering as much information as possible about the problem will allow our service department to resolve the issue in the shortest amount of time. All required files are automatically attached to the email but if there are any other files that may be required they can be added using the Attachments area.

Pressing the Details button allows that email format to be set. If your company uses Outlook as its default email application select this option. The Other option uses a built in email engine. This requires no external application. Outlook Express, Eudora, Lotus Notes are not launched.

If you do not have an internet connection select the last option. The required files will be added to a zip file that can be copied to a floppy and emailed using another computer if required.

All User Information is required to be completed. This allows the FastCAM service Department to prioritise issues as they arrive.


XP Themes

If FastCAM is used with the default XP Theme active, rather than Windows Standard, scroll bars will appear. To remove these scroll bars add the following line to your setup.dat file:

THEME,XPTHEME

The setup.dat file is usually found in c:\program files\fastcam or a sub folder of this directory.

With the line added the scroll bars will not appear. This line is not required if the theme is not running although no adverse problems will occur if it is still in the file.


NC Output Options

Change for Hole Avoidance

A new option has been added to FastCAM and FastNEST to alter how the cutting process is activated for some machines. This option can be used for disabling hole avoidance function to allow for a lead-outs to occur at a constant height. This will ensure a plasma torch does not plunge into the table after completing a cut.

This option is available on FastCAM and FastNEST released after 1st October 2004.

To enable the option the control file must be modified. The line:

/OFF BEFORE EXIT/

Should be added to the control file.

Cad Clean Options

CAD Clean does not change geometry but there are times where the adjustments made by CAD clean are required to be restricted. CAD Fix does change geometry by automatically closing gaps in contours. If either of these functions need to be enabled or disabled this can be achieved by placing one of the following lines in your control file.

/CAD CLEAN/,0 will turn off CAD CLEAN in FastNEST

/CAD CLEAN/,1 Default. CAD Clean and CAD FIX both active.

/CAD CLEAN/,2 CAD CLEAN ON, CAD FIX OFF.

@PROCESSTIME

The processtime label used for generating cutting times on templated printouts does not work with fixed feedrates as a rapid feedrate is never fixed in NC code. To generate accurate processing times a feedrate is required for the rapid movement. This is set to 4000mm/minute for Oxy machines. If you wish another default time, you need to add the line

/RAPID FEEDRATE/,3.5

in your control file. This shows a default rapid rate of 3.5metres /minute.

Please contact FastCAM for further assistance with this.


DWG Nesting

DWG file can be nested directly in FastNEST through the DXF interface. The nesting of DWG file is identical to nesting other geometry file (CAM, DXF, IGES) except that the file type to be loaded is changed to DWG.

To nest a DWG file in FastNEST select File Cut List -> Set File Types from the menu. Set the input file type to DXF. Add a part in the normal fashion, by pressing the "+" plus button on the toolbar.

The dialog above will be displayed. Selecting "*.DWG" from the files of type menu, will allow DWG files to be listed and loded directly into FastNEST for nesting.


Common Cut Pairs

Common Cutting of pairs is available in FastNEST 5.9 This optional feature allows the automatic common cutting of one part when a pair is required. It is not used to common cut different parts or more than two copies of the same part.

To use the common cut function, load a geometry part (CAM DXF DWG IGES) using the normal part load procedure. This is done by pressing the plus button on the toolbar. It is assumed the user will be generally nesting DXF -> NC for example.

The part will then be loaded into the part data dialog. This can be seen below.

Pressing the Common Cut button may display a cross-hair after the button is pressed. The cross-hair or normal mouse pointer is used to select the edge that will be used as the common line. Clicking on the common line will set this as the common line between the paired part. A kerf radius dialog box will then be shown.

Type the kerf radius that will be used for the parts, based on the consumabels and plate thickness. This value will vary depending on circumstance. Speaking to the machine operator will easily determine this value. Be careful that the kerf radius is used as some reference manuals list the kerf as diameter.

The part will be then nested. Returning to the part data form the common paired part will be displayed.

The required quantity will now be for the pair so in the above example one par is required resulting in two parts cut. If a quantity of 8 was set, then 16 individual parts would be cut.

This common pair cut is developed to be suitable for OXY and Plasma processing, as well as other common processes such as laser and waterjet. There is no danger of the torch extinguishing when cutting these common cut pairs with oxy cutting.

Combining this process with FastPATH'S cut short rapids option will allow the fastest possible cutting of minimal use of plate.


Oops

The oops function is available on the toolbar in FastNEST. This is not an undo function per say, but allows the last interactively moved part to be returned to its last position. This function offers a 20 step return, moving the last 20 parts back to their original position.

The button on the toolbar is:


Gas Axe

FastNEST's gas axe is a new function allowing for automatic and manual skeleton break-up. Skeleton breakup via the NC controller is a safer way to remove a cut skeleton compared with the usual way of an operator standing on the bed with a hand torch.

To use the skeleton break-up function in automatic mode, after parts have been nested select Utilities -> Gas Axe -> Use Grid in FastNEST.

The following settings are required for the automatic grid function:

X Grid Distance: X Separation of each straight cut.

Y grid Distance: Y Separation of each straight cut.

Maximum Gas Distance: How far past the edge of the outermost part is the automatic gas axe function to cut. If this is not set potentially good remnant will be stripped.

optional

Overcut Distance: If the plate is expected to move this option allows for the gas axe to cut an extra distance into the void left by the removed part. If the value for Overcut Distance is less than zero then the cutting path will stop short of the part by the set amount.

Move Start Distance: For plasma cutting this function ensures the torch starts its pierce on the skeleton rather than trying to strike an arc in free air.

The add single function adds a single cut line to an exisitng nest. The line will be straight but does not need to run horizontally or vertically.

The delete single function removes a single gas axe cut from a nest.

Delete all removes all manual and automatically placed gas axe cut.

Set Parameters shows the standard gas axe parameters form.

There may be a requirement to add another function line to your control file. Your control file is found by selecting Utility -> Show NC Machine from the FastNEST menu. On this form the line Control: will display your current control file. It is usually fond in c:\program files\fastcam or a sub folder of this. Open this file with notepad. Move to the last line of the file and add the following lines:

For EIA Controllers (G/M codes)

/HOME/
M00

For ESSI Controllers

/HOME/
00

Adding these lines will ensure the controller will wait at the home position before beginning the skeleton breakup routine.

The Gas Axe function (as of 23-11-2004) no longer outputs kerf values for the cuts. All output for the gas axe is generated kerf free.


Nesting Fineness

There are times, such as when nesting flanges requiring tight tolerances, that the default settings in FastNEST do not produce the desired results. The nesting quality can be improved by changing the number of "Angles in 90" or the search step. Previously the Search Step could only be set to a maximum value of 1/50th of the part's size. This has been expanded to allow for movements down to 1/100th of the part's size. The rotation angle has also been modified to allow a rotation of 1 degree or 90 angles in 90. Combining these two maximum values will result in a better nest but could also increase nesting times substantially. A fast computer is required to use these maximal values. To enable search step or a change in rotation the "Use search step" option must be enabled on the part data form.


Resequence Internals

It is now possible to interactively change the cutting sequence of internal paths. This is only possible when using the option "Add Pierce - Before Nesting" on the Set File Types form.

The cutting sequence can only be modified on a part it cannot be altered over an entire nest. The option to change the internal sequence is not offered when generating NC code.

To use the resequence function:

  • Set FastNEST for geometry in and NC out. Geometry refers to CAM/DXF/DWG files. This setting is found on the 'Set File Types Form'. To open this form select File CutList -> Set File Types from the menu.

  • Add a geometry file into FastNEST. When the part has been loaded open the part data form. File CutList -> Edit -> Part Data.

  • On this form select the "Move Entries" button this will display the part with the option to move entries or alter the internal sequence of the part. To alter the internal sequence of a part press the 12 button and then select the cutting order of the internal contours.

  • Once the internal sequence has been set by selecting each internal contour. Accept this change by selecting the "Tick/Check" button on the toolbar.

  • When the NC code is output the changed internal sequence will be reflected in the NC output.

Input File Type CAM Add Pierce Before Nesting Output File Type NC

Nest Part Data Move Entries to alter internal sequence

Move Entries Screen Resequence [12] button is pressed to allow the alteration of the internal cutting path sequences.


FastPLOT Changes

No significant changes have been made to FastPLOT.


Cut Short Rapids

The cut short rapids function is used to speed the processing of parts, whose exits and entries are close together. It works best when used with FastNEST's common cutting function. THis function is an automatic chain cutting function for FastCAM and FastNEST. It works most effectively in FastNEST.

The option is found on the 'Nest Options' tab of the FastPATH parameters.

Ticking this option will enable the cut short rapids function. When activated, parts whose exits and entries fall into the following criteria will have the implied rapid replaced with a straight cut. This option can speed up the processing of many nests. The parameters that have to met are:

1. rapid movement is <50mm

2. rapid movement is less then 10% of plate size

3. rapid movement does not cross another part boundary.

If met, the rapid between the part will be cut.


Apply Processes

The apply processes function becomes available in FastPATH when more than one process has been selected. It is more suitable for use in FastNEST than in FastCAM. The instructions that follow assume that the function is used in FastNEST.

In the above example, the two processes (CUTTING and MARKER) can be applied to the nest either across whole nest or part by part. The most common application of a process is across the whole nest.

Apply processes

  • Across whole nest - This option will process the nest, using the first then second and third etc.. process in turn. For example an entire nest would be marked then the entire nest would be cut. This is the most typical way a nest would be processed by a profile cutting machine. Processing a nest this way will ensure a limited amount of movement will occur while the parts are being marked and cut.

  • Part by part - This option will mark and then cut each part in turn. This is not a common way of processing a nest. If powder marking was being used an a plasma process used to cut parts on a water table, this function may raise and lower the water table for each part marked and cut.


Stitch Cut

The stitch cut option has been extended to allow the automatic stitch cutting of internal Unclosed (open) paths and closed paths as well as external closed paths. This is detailed in Fig 1.

Fig 1

Fig 2

Figure 2 shows the current stitch / kerf tab in FastPATH. The three check options available are:

  • Internal Contours
  • Internal Slitting
  • External Contours

The options are additive, so it is possible to combine the options available to suite the current task.

Internal Contours - This option will stitch cut all internal closed paths. If a path is not closed (the utility in FastCAM Verify -> Contour can be used) then the entities will not be stitch cut.

Internal Slitting - All internal unclosed paths will be stitch cut. This is the classic stitching setup where a lobsterback is developed on a single sheet and stitch cut before being formed.

External Contours - External paths when closed will be stitch cut. This effectively allows for parts to remain attached to a plate. This is useful when developing boats that are to be shipped flat packed.

The stitch parameters are set by entering in values for the "Distance between stitches" and the "Stitch width"

Distance between stitches - This is the amount that will be cut by the machine.

Stitch Width - This is the amount of material that will not be cut, thus stitching the part to the plate.

All items that are to be stitch cut will be cut with ZERO kerf. Kerf will be added to other areas of the part but will not be added to any paths that have been selected to be stitch cut.


Break-Out Tabs

Break Out tabs are similar to stitch cuts except the positioning of the stitches are set angularly rather than be based on distance. The tab as can be seen in figure 1 is not a rectangular tab. The part still remains attached to the main plate material.

Figure 1

Figure 1 details how each command effects the generated part when run through FastPATH with certain breakout tab setting.

Internal Contours - When this is selected all internal contours that are closed will be tabbed. To test if a path is closed the FastCAM Verify -> Contour option can be used.

External Contours - When this is selected all external contours that are closed will be tabbed. To test if a path is closed the FastCAM Verify -> Contour option can be used.

Lead Out - If selected a lead out will be added to the end of the path.

Minimum contour size - The smallest diameter below which the closed contoured path will not be tabbed.

Tab Width - The size of the stitch. This is the amount of material that will remain attached to the main area of the part.

Number of Tabs - How many tabs that will added to the part. All tabs are placed at even angles around the part. For example if 3 tabs are set each tab would be separated by 120 degrees around the part.